configVersion: 2.0.0
generation:
  sdkClassName: Plex-API
  maintainOpenAPIOrder: true
  usageSnippets:
    optionalPropertyRendering: withExample
  fixes:
    nameResolutionDec2023: false
    parameterOrderingFeb2024: false
    requestResponseComponentNamesFeb2024: false
  auth:
    oAuth2ClientCredentialsEnabled: false
docs:
  version: 0.5.0
  defaultLanguage: go
  docsLanguages:
    - go
  imports:
    option: openapi
    paths:
      callbacks: callbacks
      errors: errors
      operations: operations
      shared: shared
      webhooks: webhooks
  inputModelSuffix: input
  maxMethodParams: 4
  outputModelSuffix: output
  static: false
go:
  version: 0.0.2
  additionalDependencies: {}
  allowUnknownFieldsInWeakUnions: false
  clientServerStatusCodesAsErrors: true
  flattenGlobalSecurity: true
  imports:
    option: openapi
    paths:
      callbacks: models/callbacks
      errors: models/sdkerrors
      operations: models/operations
      shared: models/components
      webhooks: models/webhooks
  inputModelSuffix: input
  maxMethodParams: 4
  methodArguments: require-security-and-request
  outputModelSuffix: output
  packageName: github.com/LukeHagar/plexgo
  responseFormat: envelope-http
python:
  version: 0.0.1
  additionalDependencies:
    dependencies: {}
    extraDependencies:
      dev: {}
  author: LukeHagar
  clientServerStatusCodesAsErrors: true
  description: Python Client SDK Generated by Speakeasy
  flattenGlobalSecurity: true
  imports:
    option: openapi
    paths:
      callbacks: models/callbacks
      errors: models/errors
      operations: models/operations
      shared: models/components
      webhooks: models/webhooks
  inputModelSuffix: input
  maxMethodParams: 4
  methodArguments: require-security-and-request
  outputModelSuffix: output
  packageName: plexpy
  projectUrls: {}
  responseFormat: envelope-http
typescript:
  version: 0.3.3
  additionalDependencies:
    dependencies: {}
    devDependencies: {}
    peerDependencies: {}
  additionalPackageJSON: {}
  author: LukeHagar
  clientServerStatusCodesAsErrors: true
  enumFormat: enum
  flattenGlobalSecurity: true
  imports:
    option: openapi
    paths:
      callbacks: models/callbacks
      errors: models/errors
      operations: models/operations
      shared: models/components
      webhooks: models/webhooks
  inputModelSuffix: input
  maxMethodParams: 4
  methodArguments: require-security-and-request
  outputModelSuffix: output
  packageName: '@lukehagar/plexjs'
  responseFormat: envelope-http
  templateVersion: v2
